StringId (Apache Geode 1.15.4)

org.apache.geode.i18n

## Class StringId

- java.lang.Object
- - org.apache.geode.i18n.StringId

- Deprecated.
  localization in Geode is deprecated

      @Deprecated
      public class StringId
      extends Object

  This class forms the basis of the i18n strategy. Its primary function is to be used as a key to be passed to an instance of StringIdResourceBundle.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id` Deprecated. A unique identifier that is written when this StringId is logged to allow for reverse translation.
    `static StringId` | `LITERAL` Deprecated. A StringId to allow users to log a literal String using the `LogWriter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringId(int id, String text)` Deprecated. Gemstone internal constructor, customers have no need to create instances of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRawText()` Deprecated. Accessor for the raw (unformatted) text of this StringId
    `String` | `toLocalizedString()` Deprecated.
    `String` | `toLocalizedString(Object... params)` Deprecated. Substitutes parameter Objects into the text
    `String` | `toString()` Deprecated.
    `String` | `toString(Object... params)` Deprecated. Substitutes parameter Objects into the text

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          public final int id

      Deprecated.
      A unique identifier that is written when this StringId is logged to allow for reverse translation.
      See Also:
        `LogWriterImpl`

    - #### LITERAL

          @Immutable
          public static final StringId LITERAL

      Deprecated.
      A StringId to allow users to log a literal String using the `LogWriter`

  - ### Constructor Detail

    - #### StringId

          public StringId(int id,
                          String text)

      Deprecated.
      Gemstone internal constructor, customers have no need to create instances of this class.
      Parameters:
        `id` - a unique identifier
        `text` - the English translation of text

  - ### Method Detail

    - #### getRawText

          public String getRawText()

      Deprecated.
      Accessor for the raw (unformatted) text of this StringId
      Returns:
        unformated text

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`
      Returns:
        the English translation of this StringId

    - #### toString

          public String toString(Object... params)

      Deprecated.
      Substitutes parameter Objects into the text
      Parameters:
        `params` - parameter Objects to be substituted into the text
      Returns:
        the English translation of this StringId
      See Also:
        `MessageFormat`

    - #### toLocalizedString

          public String toLocalizedString()

      Deprecated.
      Returns:
        the translation of this StringId based on the current `Locale`

    - #### toLocalizedString

          public String toLocalizedString(Object... params)

      Deprecated.
      Substitutes parameter Objects into the text
      Parameters:
        `params` - parameter Objects to be substituted into the text
      Returns:
        the translation of this StringId based on the current `Locale`
      See Also:
        `MessageFormat`